## org.apache.lucene.search
Class HitCollectorWrapper

    java.lang.Object
      org.apache.lucene.search.Collector
          org.apache.lucene.search.HitCollectorWrapper

Deprecated. Please migrate custom HitCollectors to the new `Collector` class. This class will be removed when `HitCollector` is removed.

    public class HitCollectorWrapper

extends Collector

Wrapper for (`HitCollector`) implementations, which simply re-bases the incoming docID before calling `HitCollector.collect(int, float)`.

Constructor Summary
`HitCollectorWrapper(HitCollector collector)` Deprecated.

Method Summary
`boolean` `acceptsDocsOutOfOrder()` Deprecated. Return `true` if this collector does not require the matching docIDs to be delivered in int sort order (smallest to largest) to `Collector.collect(int)`.
`void` `collect(int doc)` Deprecated. Called once for every document matching a query, with the unbased document number.
`void` `setNextReader(IndexReader reader, int docBase)` Deprecated. Called before collecting from each IndexReader.
`void` `setScorer(Scorer scorer)` Deprecated. Called before successive calls to `Collector.collect(int)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HitCollectorWrapper

    public HitCollectorWrapper(HitCollector collector)

  Deprecated.

Method Detail

### setNextReader

    public void setNextReader(IndexReader reader,
                              int docBase)

  Deprecated.
  Description copied from class: `Collector`
  Called before collecting from each IndexReader. All doc ids in `Collector.collect(int)` will correspond to reader. Add docBase to the current IndexReaders internal document id to re-base ids in `Collector.collect(int)`.

  Specified by:
    `setNextReader` in class `Collector`
  Parameters:
    `reader` - next IndexReader

### collect

    public void collect(int doc)
                 throws java.io.IOException

  Deprecated.
  Description copied from class: `Collector`
  Called once for every document matching a query, with the unbased document number.

  Note: This is called in an inner search loop. For good search performance, implementations of this method should not call `Searcher.doc(int)` or `IndexReader.document(int)` on every hit. Doing so can slow searches by an order of magnitude or more.

  Specified by:
    `collect` in class `Collector`
  Throws:
    `java.io.IOException`

### setScorer

    public void setScorer(Scorer scorer)
                   throws java.io.IOException

  Deprecated.
  Description copied from class: `Collector`
  Called before successive calls to `Collector.collect(int)`. Implementations that need the score of the current document (passed-in to `Collector.collect(int)`), should save the passed-in Scorer and call scorer.score() when needed.

  Specified by:
    `setScorer` in class `Collector`
  Throws:
    `java.io.IOException`

### acceptsDocsOutOfOrder

    public boolean acceptsDocsOutOfOrder()

  Deprecated.
  Description copied from class: `Collector`
  Return `true` if this collector does not require the matching docIDs to be delivered in int sort order (smallest to largest) to `Collector.collect(int)`.

  Most Lucene Query implementations will visit matching docIDs in order. However, some queries (currently limited to certain cases of `BooleanQuery`) can achieve faster searching if the `Collector` allows them to deliver the docIDs out of order.

  Many collectors don't mind getting docIDs out of order, so it's important to return `true` here.

  Specified by:
    `acceptsDocsOutOfOrder` in class `Collector`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.